Bug 140795 - up2date can't get past web proxy, tracebacks, hangs instead of reporting error
up2date can't get past web proxy, tracebacks, hangs instead of reporting error
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 18:03 EST by David Paschal
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:07:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Paschal 2004-11-24 18:03:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1)
Gecko/20020830

Description of problem:
This issue sounds at least somewhat similar to other bugs, but I'm not
completely sure so will submit it anyway, including a traceback.  Even
if this is a duplicate, I would appreciate knowing about a workaround,
since none of the potential workarounds I tried helped any.


I am sitting behind a company firewall, that requires web access to go
through a proxy server.  I have always been able to configure Mozilla
to use the proxy server "web-proxy.SITE.FOO.com" port 8088
(substituting for "SITE.FOO" of course).


On FC3 I configured up2date (via "Red Hat Network Configuration") with
the following options:

- Checked "Enable HTTP Proxy"

- "web-proxy.SITE.FOO.com:8088" (without the quotes of course)

- Unchecked "Use Authentication"


For good measure, I also set the environment variables "FTP_PROXY",
"HTTP_PROXY", "ftp_proxy", and "http_proxy" to the string
"http://web-proxy.SITE.FOO.com:8088/".


When running up2date (even from a root command line, to ensure that
those environment variables are still set), after clicking the Forward
button twice, I get the following traceback, and up2date hangs on the
"progress dialog" saying "Fetching
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-3/headers/header.info":

--------------------------------------------------

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1434, in
onChannelsPageNext
    self.pList.run()
  File "/usr/share/rhn/up2date_client/packageList.py", line 122, in run
    self.progressCallback)
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 315, in
getAvailableAllArchPackageList
    package_list = availablePackageList(
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 153, in
availablePackageList
    progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 310, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 20, in
listPackages
    return self.handlers[channel['type']].listPackages(channel,
msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 226, in
listPackages
    msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
201, in listPackages
    agent = "Up2date %s/Yum" % up2dateUtils.version())
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
324, in fetchUrl
    endRange=end)
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
117, in open_resource
    return opener.open(request)
  File "/usr/lib/python2.3/urllib2.py", line 326, in open
    '_open', req)
  File "/usr/lib/python2.3/urllib2.py", line 306, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.3/urllib2.py", line 901, in http_open
    return self.do_open(httplib.HTTP, req)
  File "/usr/lib/python2.3/urllib2.py", line 886, in do_open
    raise URLError(err)
urllib2.URLError: <urlopen error (111, 'Connection refused')>
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1500, in
onSkippedPagePrepare
    self.__preparePackageList()
  File "/usr/share/rhn/up2date_client/gui.py", line 1386, in
__preparePackageList
    self.pList.run()
  File "/usr/share/rhn/up2date_client/packageList.py", line 122, in run
    self.progressCallback)
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 315, in
getAvailableAllArchPackageList
    package_list = availablePackageList(
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 153, in
availablePackageList
    progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 310, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 20, in
listPackages
    return self.handlers[channel['type']].listPackages(channel,
msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 226, in
listPackages
    msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
201, in listPackages
    agent = "Up2date %s/Yum" % up2dateUtils.version())
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
324, in fetchUrl
    endRange=end)
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
117, in open_resource
    return opener.open(request)
  File "/usr/lib/python2.3/urllib2.py", line 326, in open
    '_open', req)
  File "/usr/lib/python2.3/urllib2.py", line 306, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.3/urllib2.py", line 901, in http_open
    return self.do_open(httplib.HTTP, req)
  File "/usr/lib/python2.3/urllib2.py", line 886, in do_open
    raise URLError(err)
urllib2.URLError: <urlopen error (111, 'Connection refused')>

--------------------------------------------------

Trying variations with/without the "http://" prefix, trailing "/", and
even running "up2date --proxy http://web-proxy.SITE.FOO.com:8088"
makes no difference.

Version-Release number of selected component (if applicable):
up2date-4.3.47-5

How reproducible:
Always

Steps to Reproduce:
See above.

Actual Results:  See above.

Expected Results:  up2date should use the proxy server/port I
requested and successfully connect to its final destination.  If there
really is a problem making the connection, up2date should say so (in a
nicer form than a traceback that only shows up when running from the
command line), rather than hanging as it it was just taking a long
time to perform the operation.

Additional info:

Output from "up2date -l":

http://fedora.redhat.com/download/up2date-mirrors/fedora-core-3
http://fedora.redhat.com/download/up2date-mirrors/updates-released-fc3
There was some sort of I/O error: <urlopen error (111, 'Connection
refused')>
Comment 1 BJ 2004-12-01 15:57:04 EST
I am having the exact same behaviour except I'm getting the message:

There was some sort of I/O error: <urlopen error (101, 'Network is
unreachable')>

NOTE:  The RH Network Alert Notification Tool is able to use the proxy
to download the list of updates no problem.
Comment 2 Adrian Likins 2004-12-02 17:11:47 EST
the httpProxy config in up2date config is only for
RHN services. 

To use for yum/apt, set the approximate HTTP_PROXY
env variables.
Comment 3 David Paschal 2004-12-02 19:55:37 EST
I did set the "HTTP_PROXY and friends" variables (see my original
description), but that didn't help up2date.  Eventually I learned
about the "yum update" command, which successfully updates my system
without the use of up2date.  So I have my workaround now.
Comment 4 Andy Behrens 2004-12-29 20:25:03 EST
Try setting "http_proxy" and then running /usr/sbin/up2date from the
command line. /Usr/bin/up2date is a link to consolehelper, which seems
to be resetting some of the environment variables. 
Comment 5 javier wilson 2005-02-25 18:43:40 EST
I run in the same command line:

HTTP_PROXY=http://proxy:3128 up2date

and it did solve "Network is unreachable" problem.
Comment 6 Marc Williams 2005-02-28 20:46:39 EST
(In reply to comment #4)
> Try setting "http_proxy" and then running /usr/sbin/up2date from the
> command line. /Usr/bin/up2date is a link to consolehelper, which seems
> to be resetting some of the environment variables. 

Thanks for the tip.  This works for me althought it would seem this workaround
should be unnecessary once the Network Proxy Configuration has been set.
Comment 7 Matthew Miller 2006-07-10 19:11:01 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 8 John Thacker 2006-10-29 10:07:26 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.